#pragma once

#include "CoreMinimal.h"
#include "ItemAddon.h"
#include "Addon_Wraith_TheSerpentSoot.generated.h"

class ADBDPlayer;

UCLASS(Blueprintable, meta=(BlueprintSpawnableComponent))
class UAddon_Wraith_TheSerpentSoot : public UItemAddon
{
	GENERATED_BODY()

private:
	UFUNCTION(BlueprintCallable)
	void OnInteractionComplete(ADBDPlayer* player, bool hasInteractionStarted);

public:
	UAddon_Wraith_TheSerpentSoot();
};

FORCEINLINE uint32 GetTypeHash(const UAddon_Wraith_TheSerpentSoot) { return 0; }
